EDIT - bug #3737

task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Protected caches for taxa and names behave inconsistent

09/27/2013 12:42 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 30%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: critical Found in Version:

Description

Some name protected caches do not really work as expected here.
e rank is not colored but should

¢ if both, name.titleCache and name.nameCache are protected,

We need to test the protected cache behaviour by hand.

switching the titleCache to unprotected results in no coloring of all

nameparts like genus, specific Epi, etc. This is not correct. Correct behavior shows when no protected cache exists and only
nameCache is set to protected. This means that the coloring depends on the previous state which is unwanted. Coloring should
always be computed from the current state so behavior is always the same independent of a previours state (a similar behavior

has been observed for references: #4944)

Also for protected taxon.titteCache we may expect that the name fields will be colored (but maybe not organge) if the taxon

titleCache is protected (see ideas for coloring strategy in #4944)

see also #4338, #3561, #4944, #9405

Related issues:

Related to EDIT - bug #7484: Protected titleCache handling not correct in Ref... Closed
Copied to EDIT - bug #9405: Fields set to irrelevant for cache should be set ... Closed

Associated revisions

Revision a452be91 - 02/01/2017 02:14 PM - Katja Luther

fix #3737: improve handling of protected/not protected cache fields

History

#1-10/17/2013 03:50 PM - Andreas Miiller

- Severity changed from normal to major

#2 - 10/31/2013 12:59 PM - Andreas Miller

- Assignee changed from Andreas Miller to p.plitzner -

#3 - 10/31/2013 12:59 PM - Andreas Miiller
- Priority changed from Priority13 to Highest

- Severity changed from major to critical

#4 - 01/14/2014 01:46 PM - Cherian Mathew
- Target version deleted (TaxEditor COM 3.3)

#5 - 03/28/2014 11:11 AM - Andreas Kohlbecker

- Target version deleted ()

no release 3.3.1 of the taxeditor so | am moving all tickets to the next milestone 3.3.2

#6 - 08/11/2014 03:51 PM - Patrick Plitzner
- Keywords set to review2014-07-12

#7 - 08/12/2014 12:30 PM - Andreas Miiller

- Assignee changed from p.plitzner - to Andreas Miiller

#8 - 09/03/2014 01:35 PM - Andreas Miiller
- Target version deleted (TaxEditor RELEASE 3.3.7)

#9 - 04/30/2015 11:04 PM - Andreas Miiller

- Target version deleted ()

#10 - 06/04/2015 04:48 PM - Andreas Miiller

- Target version deleted ()

#11 - 06/19/2015 04:22 PM - Andreas Miiller

- Subject changed from Protected caches for taxa and names sometimes behave strange to Protected caches for taxa and names behave inconsistent

#12 - 06/19/2015 04:28 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to k.luther -

- Target version deleted (Release 3.7)

#13 - 10/05/2016 12:42 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.5

#14 - 01/19/2017 01:36 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#15 - 02/01/2017 02:14 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|a452be91ae106b545b4393798e666aef347a0ef1.

#16 - 02/01/2017 02:15 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#17 - 03/11/2017 10:55 PM - Andreas Miiller

- Private changed from Yes to No

#18 - 06/15/2018 08:49 PM - Andreas Miiller
- Related to bug #7484: Protected titleCache handling not correct in Reference detail view added

#19 - 01/20/2021 06:03 PM - Andreas Miiller
- Copied to bug #9405: Fields set to irrelevant for cache should be set by state only added

#20 - 01/20/2021 06:04 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 30

The first issue is solved. The second was improved, however, it still sometimes works inconsistent meaning that the state of "irrelevance" of a field
may depend on the previous state not on the generell state of the cache protection.

This is because setting "relevance” is always called in a given context and also the current code does not always reset fields from irrelevant to
relevant if it should.

As this ticket was worked on long time ago | open a new ticket #9405 and close this one.

#21 - 01/20/2021 06:05 PM - Andreas Miiller

- Description updated

04/09/2024 3/3


https://dev.e-taxonomy.eu/redmine/issues/9405
http://www.tcpdf.org

